body {
  margin: 0;
  padding: 0;
  background: url('../img/fondo.jpg') no-repeat center top;
  font-family: sans-serif;
  height: 100vh;

background-position: center center;
background-repeat: no-repeat;
background-attachment: fixed;
background-color: #f9f9f9;
}

.login-box {
  width: 320px;
  height: auto;
  background-color: rgba(0, 0, 0, .7);
  color: #fff;
  top: 50%;
  left: 50%;
  position: absolute;
  transform: translate(-50%, -50%);
  box-sizing: border-box;
  padding: 40px 20px;
}

.login-box .avatar {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  position: absolute;
  top: -50px;
  left: calc(50% - 50px);
}

#espacio {
  margin: 45px;
}

.login-box input[type="text"], .login-box input[type="password"] {
  border: none;
  width:100%;
  border-bottom: 1px solid #fff;
  background: transparent;
  outline: none;
  /*height: 20px;*/
  color: #fff;
  font-size: 16px;
}

.login-box  button[type="submit"] {
  margin: 0 auto;
  width: 70%;
  border: none;
  outline: none;
  height: 40px;
  background: #39b54a;
  color: #fff;
  font-size: 18px;
  border-radius: 20px;
}

.login-box button[type="submit"]:hover {
  cursor: pointer;
  background: #000000;
}

.login-box a {
  text-decoration: none;
  font-size: 12px;
  line-height: 20px;
  color: darkgrey;
}

.login-box a:hover {
  color: #fff;
}
/***MY STYLE INPUTS**/
.group 			  {
  position:relative;
  margin-bottom:30px;
}
input{
  font-size:18px;
  padding:10px 10px 10px 5px;
  display:block;
  width:300px;
  border:none;
  border-bottom:1px solid #757575;
}
input:focus 		{ outline:none; }

/* LABEL ======================================= */
label 				 {
  color:#fafafa;
  font-size:18px;
  font-weight:normal;
  position:absolute;
  left:5px;
  top:10px;
  transition:0.2s ease all;
  -moz-transition:0.2s ease all;
  -webkit-transition:0.2s ease all;
}
label:hover{
  cursor: pointer;
}

/* active state */
input:focus ~ label, input:valid ~ label 		{
  top:-20px;
  font-size:14px;
  color:#000000;
}

/* BOTTOM BARS ================================= */
.bar 	{ position:relative; display:block; width:250px; }
.bar:before, .bar:after 	{
  content:'';
  height:2px;
  width:0;
  bottom:1px;
  position:absolute;
  background:black;
  transition:0.2s ease all;
  -moz-transition:0.2s ease all;
  -webkit-transition:0.2s ease all;
}
.bar:before {
  left:50%;
}
.bar:after {
  right:50%;
}

/* active state */
input:focus ~ .bar:before, input:focus ~ .bar:after {
  width:50%;
}

/* HIGHLIGHTER ================================== */
.highlight {
  position:absolute;
  height:60%;
  width:100px;
  top:25%;
  left:0;
  pointer-events:none;
  opacity:0.5;
}

/* active state */
input:focus ~ .highlight {
  -webkit-animation:inputHighlighter 0.3s ease;
  -moz-animation:inputHighlighter 0.3s ease;
  animation:inputHighlighter 0.3s ease;
}

/* ANIMATIONS ================ */
@-webkit-keyframes inputHighlighter {
	from { background:#000000; }
  to 	{ width:0; background:transparent; }
}
@-moz-keyframes inputHighlighter {
	from { background:#000000; }
  to 	{ width:0; background:transparent; }
}
@keyframes inputHighlighter {
	from { background:#000000; }
  to 	{ width:0; background:transparent; }
}
form input:required {
  border:5px solid rgb(0, 0, 0);
  /* otras propiedades */
 }
 input:invalid {
  border: 1px solid rgb(0, 0, 0);
}

input:valid {
  border: 1px solid rgb(0, 0, 0);
}
#crear{
  float: right;
}


/**error de session**/
.error_session{
min-width:100%;
background-color: rgb(0, 0, 0);
opacity: 0.8;
color:#fafafa;
text-align:center;
}
.error_session p{
  margin:0 auto;
  padding:2px;
  color:#fafafa;
  font-size:12px;
  text-align:center;
  font-weight: bold;
  padding:3px;
}
a{
  cursor: pointer;
}
